package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Bite;
import org.project.item.weapons.Weapon;

public class Vampire extends Enemy{

    private static int maxHP = 95;
    private int hp = maxHP;

    public Vampire(){
        Weapon VampireWeapon = new Bite();
        super(maxHP, VampireWeapon);
    }

    @Override
    public void SpecialAbility(Entity target) {
        lifeStealing = true;
        target.takeDamage((8/10)*(weapon.getDamage()));
        hp += (int)((2/10)*(weapon.getDamage()));
    }

    @Override
    public void heal(int health) {
        hp += health;
        if (hp > maxHP) {
            hp = maxHP;
        }
    }

    public int getMaxHP() {
        return maxHP;
    }

    public String getName(){
        return "Vampire";
    }

}